-- Author      : cgiguy
-- Create Date : 7/19/2011

-- Spell ID List
SC_SPELL_SND_ID = 5171;
SC_SPELL_RECUP_ID = 73651;
SC_SPELL_DP_ID = 2818;
SC_SPELL_RUP_ID = 1943;
SC_SPELL_WEAKEN_ID = 113746; --Expose Armor (Same as Druids and Warriors)
SC_SPELL_FEINT_ID = 1966;
SC_SPELL_GARROTE_ID = 703;
SC_SPELL_SHADOW_ID = 121471;
--Talents
SC_SPELL_ANTICI_ID = 115189; --Anticipation Talent
SC_SPELL_BURST_SPEED_ID = 137573;
SC_SPELL_INTERNAL_ID = 154953 -- Internal Bleeding
--Assasination Specific
SC_SPELL_VEND_ID = 79140;
SC_SPELL_ENV_ID = 32645;
--Combat Specific
SC_SPELL_REVEAL_ID = 84617; --Revealing Strike
SC_SPELL_ADRENA_ID = 13750;
SC_SPELL_BAND1_ID = 84745;
SC_SPELL_BAND2_ID = 84746;
SC_SPELL_BAND3_ID = 84747;
--Subtley Specific
SC_SPELL_HEMO_ID = 16511; -- Hemorage
SC_SPELL_FW_ID = 91021;

-- Generate the localized name for each spell
SC_SPELL_INTERNAL = GetSpellInfo(SC_SPELL_INTERNAL_ID);
SC_SPELL_SND = GetSpellInfo(SC_SPELL_SND_ID);
SC_SPELL_RECUP = GetSpellInfo(SC_SPELL_RECUP_ID);
SC_SPELL_DP = GetSpellInfo(SC_SPELL_DP_ID);
SC_SPELL_RUP = GetSpellInfo(SC_SPELL_RUP_ID);
SC_SPELL_VEND = GetSpellInfo(SC_SPELL_VEND_ID);
SC_SPELL_FW = GetSpellInfo(SC_SPELL_FW_ID);
SC_SPELL_ENV = GetSpellInfo(SC_SPELL_ENV_ID);
SC_SPELL_BURST_SPEED = GetSpellInfo(SC_SPELL_BURST_SPEED_ID);
SC_SPELL_BAND1 = GetSpellInfo(SC_SPELL_BAND1_ID);
SC_SPELL_BAND2 = GetSpellInfo(SC_SPELL_BAND2_ID);
SC_SPELL_BAND3 =  GetSpellInfo(SC_SPELL_BAND3_ID);
SC_SPELL_REVEAL = GetSpellInfo(SC_SPELL_REVEAL_ID);
SC_SPELL_WEAKEN = GetSpellInfo(SC_SPELL_WEAKEN_ID);
SC_SPELL_ANTICI = GetSpellInfo(SC_SPELL_ANTICI_ID);
SC_SPELL_HEMO = GetSpellInfo(SC_SPELL_HEMO_ID);
SC_SPELL_FEINT = GetSpellInfo(SC_SPELL_FEINT_ID);
SC_SPELL_GARROTE = GetSpellInfo(SC_SPELL_GARROTE_ID);
SC_SPELL_SHADOW = GetSpellInfo(SC_SPELL_SHADOW_ID);
SC_SPELL_ADRENA = GetSpellInfo(SC_SPELL_ADRENA_ID);

SC_LANG_CP = "Combo Points";
SC_LANG_SETTINGS = "Options";
SC_LANG_SOUNDS = "Sounds";

SC_TIMERBARS = "Timer Bars";
SC_ENERGYBAR = "Energy Bar";
SC_COMBOANDSTATS = "Combo Points and Stats";
SC_SOUNDEFFECTS = "Sound Effects";
SC_SOUNDEFFECTS2 = "Sound Effects 2";

SC_BARS_GROW_UP = "Bars grow up";
SC_SORT_BY_DURATION = "Sort bars by duration";
SC_SHOW_DOT_TICK = "Show DoT ticks";
SC_HIGHLIGHT_DOT = "Highlight DoT crits"
SC_NUM_STATS_BAR = "Show Armor Info"

SC_SHOW_COMBO_POINTS = "Show Combo Points";
SC_SHOW_ANTICI_POINTS = "Show Anticipation Points";
SC_SHOW_STATS_BAR = "Show Stat Bar";
SC_HIGHLIGHT_MEGA = "Highlight when mega-buffed";

SC_MASTER_VOLUME = "Use Master Volume";
SC_SOUND_OUTSIDE_COMBAT = "Play sound outside of combat";

SC_DISABLE_CLICK_MOVE = "Disable Left Click to Move";
SC_PAD_LATENCY = "Pad Alerts with Latency";

if (GetLocale() == "deDE") then
  SC_LANG_SETTINGS = "Einstellungen";
end

local L = LibStub("AceLocale-3.0"):NewLocale("SliceAdmiral", "enUS", true)
L["ClickToMove"] = "Disable Click to Move"
L["PadLatency"] = "Pad Alerts with Latency"
L["ResetPossition"] = "Reset Position"
L["ResetPositionDecs"] = "Resets SliceAdmiral's position to upper left."
L["Main/info"] = "Click the + next to 'SliceAdmiral' in the list to the left for more options."
L["Main/Scale"] = "AddOn Scale"
L["Main/Width"] =  "Bar Width"
L["Main/oocFade"] = "Out of Combat Fade"
L["Main/Texture"] = "Bar Texture"

L["Version"] = "Version"
L["TimerBars"] = "Timer Bars"
L["Combo"] = "Combo Points and Stats"
L["EnergyBar"] = "Energy Bar"
L["SoundEffects"] = "Sound Effects"
L["ResetDatabase"] = "Reset Database"
L["ResetDatabaseDesc"] = "Will Reset the Entire Database. This Should Fix most problems."

L["SoundSettings"] = "Sound Settings"
L["TickSound"] = "Tick Sound"
L["AlertSound"] = "Alert Sound"

L["SliceNDice"] = "Slice and Dice"
L["Rupture"] = "Rupture"
L["Recuperate"] = "Recuperate"
L["FindWeaknes"] = "Find Weakness"
L["Vendetta"] = "Vendetta"
L["RevealingStrike"] = "Revealing Strike"
L["Hemorrhage"] = "Hemorrhage"
L["Garrote"] ="Garrote"
L["BanditsGuile"] = "Bandit's Guile"
L["Feint"] = "Feint"
L["Envenom"] = "Envenom"
L["BurstOfSpeed"] = "Burst of Speed"
L["InternalBleeding"] = "Internal Bleeding"
L["DeadlyPoison"] = "Deadly Poison"

L["ShowBar"] = "Show timer bar"
L["SliceNDice/Seconds"] = ""

L["Bars/GrowUp"] = "Bars grow up"
L["Bars/Sort"] = "Sort bars by duration"
L["Bars/ShowDoT"] = "Show DoT ticks"
L["Bars/DoTCrit"] = "Highlight DoT crits"

L["Sound/MasterVolume"] = "Use Master Volume."
L["Sound/OutOfCombat"] = "Play sound outside of combat."
L["Sound/Preview"] = "Pre-play Sound in options menu."

L["Frames/Custom"] = "Custom"
L["Frames/Tank"]=  "Tanky"
L["Frames/DPS"] = "DIPS"
L["Frames/Healer"] = "HolY"

L["combo/Show"] = "Show Combo Points"
L["tShow/anticipation"] = "Show Anticipation"
L["combo/statsheader"] = "Stats Bar Settings"
L["combo/showStats"] = "Show Stat Bar"
L["combo/megabuff"] = "Highlight when mega-buffed"
L["combo/armor"] = "Show Armor Info"
L["ComboA/Color"] = "Anticipation Color"
L["Combo/Color"] = "ComboPoints Color"

L["energy/Show"] = "Show Energy Bar"
L["energy/ShowCombo"] = "Show ComboPoints as Text"
L["energy/mark1"] = "Energy Marker 1"
L["energy/mark2"] = "Energy Marker 2"
L["energy/transp"] = "Energy Transperancy"
L["energy/Color"] = "Energy Bar Color"
